import createAxios from '@/utils/request'

import {ADVANCE_BOOT} from '@/utils/constantRequest'


/**
 * 评估各方案
 */
export const calc = (data: any) => {
    return createAxios({
        url: ADVANCE_BOOT + '/sagGovernScheme/calc',
        method: 'POST',
        data
    })
}

/**
 * 评估各方案
 */
export const list = (data: any) => {
    return createAxios({
        url: ADVANCE_BOOT + '/sagGovernScheme/list',
        method: 'POST',
        data
    })
}


/**
 * 删除治理方案结果
 */
export const deleteSgScheme = (data: any) => {
    let ids = [data]
    return createAxios({
        url: ADVANCE_BOOT + '/sagGovernScheme/delete',
        method: 'POST',
        data: ids
    })
}

/**
 * 根据治理方案索引获取详情
 */
export const schemeDetail = (data: any) => {
    return createAxios({
        url: ADVANCE_BOOT + '/sagGovernScheme/detail?id=' + data,
        method: 'GET'
    })
}




